.TH LPRQ 1 "Jul 2002" Linux "User Manuals"
.SH NAME
lprm \- Line Printer Job Queue Reporter
.SH SYNOPSIS
.B lprm 
.RI "[-P " <printername> "] [ -v ]" "" "[ -s ]"
.SH DESCRIPTION
Lists all the current jobs on the printer bank which corresponds to
the given virtual printer. Since the object of \fIlpq\fR is to
determine how long one can expect to wait for a job to be printed,
this information is more useful than simply listing the jobs pending
for a particular virtual printer.

.SH OPTIONS
.IP "-P <printername>"
Asks for the queue of jobs for the given virtual printer. Defaults to "lp".

If the queue is local and no daemon is available, only the user's jobs
will be listed. If the queue is remote and no daemon is available then
nothing will be reported.

.IP "-v"
Causes a longer version of the job data to be reported.

.IP "-s"
Causes the output to match the BSD style in order to allow Samba to
parse the result and return it to a Windows print queue. If '-v' is
also given then verbose output takes priority.

.SH FILES
.I ~/.lpd<jobID>-<host>.sum
.RS
Stale "security tickets" are deleted when \fIlpq\fR is used.
.RE

.SH BUGS
The Samba format has not been tested yet!

.SH AUTHOR
Thomas Worthington (tww@tww.cx)

.SH "SEE ALSO"
.BR lpd (1),
.BR lprm (1),
.BR lpr (1)