.TH LPR 1 "Jul 2002" Linux "User Manuals"
.SH NAME
lpr \- Line Printer Job Submitter
.SH SYNOPSIS
.B lpr 
.RI "[-P " <printername> "] [-D] [-T|J " <jobname> "] [-u " <username> "] [-c " <#copies> "] [-s] [-r] [-o " <driveroption> "...] [" <filename> "]"
.SH DESCRIPTION
\fIlpr\fR sends a job to the lprint queue associated with the named
printer. If no filename is given input is read from standard input. 

Jobs must be either ASCII, raw printer data, or PostScript. Actual
printing is done via \fIfoomatic\fR so that must be installed on the
host with the printing daemon.

.SH OPTIONS
.IP "-P <printername>"
Send the job to the named printer bank. Different names may relate to
different printers or to the same printer(s) with different
configuration options.

If not given, the printer name defaults to "lp".

.IP "-D"
Simply prints out a set of documentation for the given printer (or lp
if no printer is specified). All other options and file names will be
ignored and the job is given the title "Documentation".

.IP "-T,-J <jobname>"
Sets the name which will appear in the output of \fIlpq\fR for this
job.

.IP "-u <username>"
If the user is \fBroot\fR or \fBlp\fR they  may assign a different
user name for the print job. This option is ignored for other users.

.IP "-c #"
Sets the number of copies of the job to the integer given. There may
be a maximum number of copies set by the printer daemon. Not to be
confused with "C#" which sends all your money to Bill Gates.

.IP -s
Indicates that the spooler should create a soft link to the file
rather than attempt to actually copy the data to the spool
directory. Best not to use this as it can lead to difficulties if the
file is altered during printing, but can be useful when printing huge
\fIraw\fR data files from programs such as \fIThe GIMP\fR.

.IP "-r, -o raw"
Indicates that the file is raw data which should be sent straight to
the printer without any processing \fIof any kind\fR.

.IP "-o <option>"
Passes the stated option through to the foomatic printer driver
(directomatic). "-o raw" is a special case as mentioned above, it is
the only -o option that affects lpr and foomatic.

An example would be "-o PaperSize=A3". If spaces appear in the option,
use quotes.

.SH FILES
.I /etc/printcap
.RS 
Configuration information for the various banks of printers available
to the user. See \fBlpd \fR(1) for details.
.RE

.I /var/spool/lpd/<printer>/<virtualprinter>.options
.RS 
The parameters to pass to the physical printer(s) <printer> when
called under the name <virtualprinter>.
.RE

.I ~/.<virtualprinter>.options
.RS
Local overrides of the global parameters defined in the previous file.
.RE

.I ~/.lpd<jobID>-<host>.sum
.RS
A file is created for each remotely spooled job containing a security
code for the job (basically, a checksum). If the job is cancelled,
this is sent as proof of ownership. Stale "security tickets" are
deleted when \fIlpq\fR is used.
.RE

.SH AUTHOR
Thomas Worthington (tww@tww.cx)

.SH "SEE ALSO"
.BR lpd (1),
.BR lpq (1),
.BR lprm (1)