.TH LPRM 1 "Jul 2002" Linux "User Manuals"
.SH NAME
lprm \- Line Printer Job Remover
.SH SYNOPSIS
.B lprm 
.RI "[-P " <printername> "] [ " <jobID> "|" - "]"
.SH DESCRIPTION
Requests that the job given is removed from the print queue. If "-" is
given instead of a job number then all jobs are removed, if neither a
number nor a "-" is given then just the first job is removed.

Only jobs owned by the user are affected unless the user is logged on
as \fIroot\fR or \fIlp\fR on the machine which holds the queue, in
which case all jobs are affected.

.SH OPTIONS
.IP "-P <printername>"
Specifiy that the job is on the given printer bank. If the job is not
on the queue of that name then there is no effect even if it is on a
queue for the same physical bank of printers.

If not given then the command affects the first job(s) in \fBany\fR
queue for the bank which the name "lp" is a legal name. 

Although this sounds odd, it means that if one does a bare \fIlpq\fR
followed by an equally bare \fIlprm\fR the first job that was listed
on the queue is removed, which is generally what one expects.

Local jobs may always be removed but remote ones require that there is
a printer daemon running on the remote host.

.SH FILES
.I ~/.lpd<jobID>-<host>.sum
.RS
A file is created for each remotely spooled job containing a security
code for the job (basically, a checksum). If the job is cancelled,
this is sent as proof of ownership. Stale "security tickets" are
deleted when \fIlpq\fR is used.
.RE

.SH AUTHOR
Thomas Worthington (tww@tww.cx)

.SH "SEE ALSO"
.BR lpd (1),
.BR lpq (1),
.BR lpr (1)
